%global pypi_name json5

Name:           python-%{pypi_name}
Version:        0.9.25
Release:        %mkrel 2
Summary:        Python implementation of the JSON5 data format
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/dpranke/pyjson5
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
JSON5 extends the JSON data interchange format to make it slightly more usable
as a configuration language:

- JavaScript-style comments (both single and multi-line) are legal.
- Object keys may be unquoted if they are legal ECMAScript identifiers
- Objects and arrays may end with trailing commas.
- Strings can be single-quoted, and multi-line string literals are allowed.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of the JSON5 data format
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JSON5 extends the JSON data interchange format to make it slightly more usable
as a configuration language:

- JavaScript-style comments (both single and multi-line) are legal.
- Object keys may be unquoted if they are legal ECMAScript identifiers
- Objects and arrays may end with trailing commas.
- Strings can be single-quoted, and multi-line string literals are allowed.

%package -n pyjson5
Summary:        Tool for working with the JSON5 data format
Group:          Development/Python
Requires:       python3-%{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n pyjson5
Command-line tool for working with the JSON5 data format.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/README.md

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

%files -n pyjson5
%doc README.md
%license LICENSE
%{_bindir}/pyjson5


%changelog
* Sat Mar 01 2025 wally <wally> 0.9.25-2.mga10
+ Revision: 2155139
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 0.9.25-1.mga10
+ Revision: 2077594
- new version 0.9.25

* Mon Dec 25 2023 wally <wally> 0.9.14-1.mga10
+ Revision: 2021465
- new version 0.9.14
- use %%pyproject_buildrequires
- no tests in pypi source

* Mon Dec 18 2023 papoteur <papoteur> 0.9.12-2.mga10
+ Revision: 2018987
- Mass Rebuild - Python 3.12

* Sun Oct 22 2023 papoteur <papoteur> 0.9.12-1.mga10
+ Revision: 2000267
- new 0.9.12

* Thu Mar 09 2023 daviddavid <daviddavid> 0.9.10-3.mga9
+ Revision: 1948459
- fix testsuite using pytest

* Mon Sep 05 2022 neoclust <neoclust> 0.9.10-2.mga9
+ Revision: 1884245
- New version 0.9.10
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.9.6-1.mga9
+ Revision: 1783923
- version 0.9.6
- rebuild for python-3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 0.9.5-2.mga9
+ Revision: 1710978
- rebuild for python 3.9

* Fri Dec 18 2020 joequant <joequant> 0.9.5-1.mga8
+ Revision: 1660806
- update to 0.9.5

* Mon May 18 2020 joequant <joequant> 0.9.4-1.mga8
+ Revision: 1586022
- imported package python-json5

